@objc(AnalyticsReactNativePluginSignals)
class AnalyticsReactNativePluginSignals : NSObject {
    // This variable will store a reference to the shared instance
    static var sharedInstance: AnalyticsReactNativePluginSignals?

    var callback: RCTResponseSenderBlock?
    
     let tapTracking = SignalsTapTracking()

    override init() {
        super.init()
        AnalyticsReactNativePluginSignals.sharedInstance = self
    }

    @objc
    func setupEmitCallback(_ callback: @escaping RCTResponseSenderBlock) {
        self.callback = callback
    }

    // Static function to emit events from other parts of your native module
    @objc
    static func emitEventToJavaScript(eventName: String, eventBody: Any?) {
        let param: [Any] = (eventBody == nil) ? [eventName] : [eventName, eventBody!]
        AnalyticsReactNativePluginSignals.sharedInstance?.callback?(param)
    }
}
