import { SegmentClient, SegmentEvent } from "@segment/analytics-react-native";
import { RawSignal, SignalBroadcaster } from "src/types";
export declare class SegmentBroadcaster implements SignalBroadcaster {
    private _analytics;
    private sendEvents;
    private _flushPlugin;
    constructor(analytics: SegmentClient);
    added<T>(signal: RawSignal<T>): void;
    relay(): void;
    createMiniTrackEvent(anonymousId: string, userId?: string, properties?: {}): SegmentEvent;
}
//# sourceMappingURL=segment-broadcaster.d.ts.map